Package org.eclipse.app4mc.amalthea.model.util

## Class CustomPropertyUtil

- Object
- - CustomPropertyUtil

    public final class CustomPropertyUtil
    extends Object

### Method Summary

All Methods
`static Integer` `customGetInteger​(@NonNull IAnnotatable object, @NonNull String key)`
`static IReferable` `customGetReference​(@NonNull IAnnotatable object, @NonNull String key)`
`static String` `customGetString​(@NonNull IAnnotatable object, @NonNull String key)`
`static Time` `customGetTime​(@NonNull IAnnotatable object, @NonNull String key)`
`static Value` `customPut​(@NonNull IAnnotatable object, @NonNull String key, int num)`
`static Value` `customPut​(@NonNull IAnnotatable object, @NonNull String key, String str)`
`static Value` `customPut​(@NonNull IAnnotatable object, @NonNull String key, IReferable reference)`
`static Value` `customPut​(@NonNull IAnnotatable object, @NonNull String key, Time time)`

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### customPut

    public static Value customPut​(@NonNull IAnnotatable object,
                                  @NonNull String key,
                                  int num)

#### customPut

    public static Value customPut​(@NonNull IAnnotatable object,
                                  @NonNull String key,
                                  String str)

#### customPut

    public static Value customPut​(@NonNull IAnnotatable object,
                                  @NonNull String key,
                                  Time time)

#### customPut

    public static Value customPut​(@NonNull IAnnotatable object,
                                  @NonNull String key,
                                  IReferable reference)

#### customGetInteger

    public static Integer customGetInteger​(@NonNull IAnnotatable object,
                                           @NonNull String key)

#### customGetString

    public static String customGetString​(@NonNull IAnnotatable object,
                                         @NonNull String key)

#### customGetTime

    public static Time customGetTime​(@NonNull IAnnotatable object,
                                     @NonNull String key)

#### customGetReference

    public static IReferable customGetReference​(@NonNull IAnnotatable object,
                                                @NonNull String key)